共用方式為


Shared Gallery Image Versions - Get

依訂用帳戶識別碼或租用戶識別碼取得共用資源庫映像版本。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries/{galleryUniqueName}/images/{galleryImageName}/versions/{galleryImageVersionName}?api-version=2024-03-03

URI 參數

名稱 位於 必要 類型 Description
galleryImageName
path True

string

要從中列出映像版本的共用資源庫映像定義的名稱。

galleryImageVersionName
path True

string

要建立的圖庫映像版本名稱。 需要遵循語義版本名稱模式:允許的字元是數字和句點。 數字必須在 32 位整數的範圍內。 格式: <MajorVersion>。<次要版本>。<補>

galleryUniqueName
path True

string

共用資源庫的唯一名稱。

location
path True

string

minLength: 1

Azure 區域的名稱。

subscriptionId
path True

string

minLength: 1

目標訂用帳戶的標識碼。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

SharedGalleryImageVersion

Azure 作業已順利完成。

Other Status Codes

CloudError

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

範例要求

GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/myLocation/sharedGalleries/galleryUniqueName/images/myGalleryImageName/versions/myGalleryImageVersionName?api-version=2024-03-03

範例回覆

{
  "properties": {
    "publishedDate": "2018-03-20T09:12:28Z",
    "endOfLifeDate": "2022-03-20T09:12:28Z",
    "excludeFromLatest": false,
    "storageProfile": {
      "osDiskImage": {
        "diskSizeGB": 29,
        "hostCaching": "None"
      }
    },
    "artifactTags": {
      "ShareTag-Official1PGallery": "Official1PGallery"
    }
  },
  "location": "myLocation",
  "name": "myGalleryImageVersionName",
  "identifier": {
    "uniqueId": "/SharedGalleries/galleryUniqueName/Images/myGalleryImageName/Versions/myGalleryImageVersionName"
  }
}

定義

名稱 Description
ApiError

Api 錯誤。

ApiErrorBase

Api 錯誤基底。

CloudError

來自計算服務的錯誤回應。

InnerError

內部錯誤詳細數據。

SharedGalleryDataDiskImage

這是資料磁碟映像。

SharedGalleryHostCaching

磁碟的主機快取。 有效值為 'None'、'ReadOnly' 和 'ReadWrite'

SharedGalleryImageVersion

指定您要建立或更新之資源庫映像版本的相關信息。

SharedGalleryImageVersionStorageProfile

這是資源庫映像版本的記憶體配置檔。

SharedGalleryOSDiskImage

這是OS磁碟映像。

ApiError

Api 錯誤。

名稱 類型 Description
code

string

錯誤碼。

details

ApiErrorBase[]

Api 錯誤詳細資料

innererror

InnerError

Api 內部錯誤

message

string

錯誤訊息。

target

string

特定錯誤的目標。

ApiErrorBase

Api 錯誤基底。

名稱 類型 Description
code

string

錯誤碼。

message

string

錯誤訊息。

target

string

特定錯誤的目標。

CloudError

來自計算服務的錯誤回應。

名稱 類型 Description
error

ApiError

Api 錯誤。

InnerError

內部錯誤詳細數據。

名稱 類型 Description
errordetail

string

內部錯誤訊息或異常狀況傾出。

exceptiontype

string

例外狀況類型。

SharedGalleryDataDiskImage

這是資料磁碟映像。

名稱 類型 Description
diskSizeGB

integer (int32)

此屬性指出要建立的 VHD 大小。

hostCaching

SharedGalleryHostCaching

磁碟的主機快取。 有效值為 'None'、'ReadOnly' 和 'ReadWrite'

lun

integer (int32)

這個屬性會指定數據磁碟的邏輯單位編號。 此值是用來識別虛擬機內的數據磁碟,因此對於連結至虛擬機的每個數據磁碟而言都必須是唯一的。

SharedGalleryHostCaching

磁碟的主機快取。 有效值為 'None'、'ReadOnly' 和 'ReadWrite'

Description
None
ReadOnly
ReadWrite

SharedGalleryImageVersion

指定您要建立或更新之資源庫映像版本的相關信息。

名稱 類型 Description
identifier.uniqueId

string

此共用資源庫的唯一識別碼。

location

string

資源位置

name

string

資源名稱

properties.artifactTags

object

共用資源庫資源的成品標籤。

properties.endOfLifeDate

string (date-time)

資源庫影像版本的生命週期結束日期 定義。 這個屬性可用於解除委任用途。 這個屬性是可更新的。

properties.excludeFromLatest

boolean

如果設定為 true,從最新版映像定義的虛擬機將不會使用此映像版本。

properties.publishedDate

string (date-time)

圖庫影像版本定義的發佈日期。 這個屬性可用於解除委任用途。 這個屬性是可更新的。

properties.storageProfile

SharedGalleryImageVersionStorageProfile

描述映像版本的儲存設定檔。

SharedGalleryImageVersionStorageProfile

這是資源庫映像版本的記憶體配置檔。

名稱 類型 Description
dataDiskImages

SharedGalleryDataDiskImage[]

數據磁碟映像的清單。

osDiskImage

SharedGalleryOSDiskImage

這是OS磁碟映像。

SharedGalleryOSDiskImage

這是OS磁碟映像。

名稱 類型 Description
diskSizeGB

integer (int32)

此屬性指出要建立的 VHD 大小。

hostCaching

SharedGalleryHostCaching

磁碟的主機快取。 有效值為 'None'、'ReadOnly' 和 'ReadWrite'